<?xml version="1.0" encoding="utf-8"?>

  <SERTUP_INFO>
    <MODEL>
      <Model_Info  type="1">SHARP AR-B2201X Series</Model_Info>
      <Model_Info  type="2">SHARP AR-B2202X Series</Model_Info>
      <Model_Info  type="4">SHARP AR-B2201W Series</Model_Info>
    </MODEL>
    
    <NETMDL>
      <!--网络搜索回复的型号数据-->
      <MDL ID="SHARP AR-B2202X Series">AR-B2202X Series</MDL>
      <MDL ID="SHARP AR-B2201W Series">AR-B2201W Series</MDL>
    </NETMDL>

    <Headingline>
      <!--标题-->
      <Content>SHARP AR-B2201X-B2202X-B2201W Series</Content>
    </Headingline>

    <MultiFunc>
      <!--SFP：0, MFP: 1-->
      <Type>1</Type>
    </MultiFunc>

    <NETPLATFORM>
      <Nettype>2</Nettype>
      <!--1: PCL-snmp, 2:M-slp-->
    </NETPLATFORM>
    
    <USB>
        <USB_Info ID="SHARP AR-B2201X Series">USB\VID_232B&amp;PID_1E21</USB_Info>
        <USB_Info ID="SHARP AR-B2202X Series">USB\VID_232B&amp;PID_2E21</USB_Info>
        <USB_Info ID="SHARP AR-B2201W Series">USB\VID_232B&amp;PID_3E21</USB_Info>
    </USB>
    
    <Hardware>
        <Hardware_Info ID="SHARP AR-B2201X Series">USBPRINT\SharpAR-B2201X_serieEA1B</Hardware_Info>
        <Hardware_Info ID="SHARP AR-B2202X Series">USBPRINT\SharpAR-B2202X_serie1A0F</Hardware_Info>
        <Hardware_Info ID="SHARP AR-B2201W Series">USBPRINT\SharpAR-B2201W_serieAA5B</Hardware_Info>
    </Hardware>

    <EWSHID>
      <EWSHIDINFO ID="SHARP AR-B2202X Series">USB\VID_232b&amp;PID_2E21&amp;MI_02</EWSHIDINFO>
      <EWSHIDINFO ID="SHARP AR-B2201W Series">USB\VID_232b&amp;PID_3E21&amp;MI_02</EWSHIDINFO>
    </EWSHID>

    <InfInfo>
        <Inf_Data ID="SHARP AR-B2201X Series">GENERIC_INSTALL,USBPRINT\SharpAR-B2201X_serieEA1B</Inf_Data>
        <Inf_Data ID="SHARP AR-B2202X Series">GENERIC_INSTALL,USBPRINT\SharpAR-B2202X_serie1A0F</Inf_Data>
        <Inf_Data ID="SHARP AR-B2201W Series">GENERIC_INSTALL,USBPRINT\SharpAR-B2201W_serieAA5B</Inf_Data>
    </InfInfo>

    <!--update 扫描用-->
    <ScannerHID>
      <ScannerInfo ID="SHARP AR-B2201X Series">USB\VID_232B&amp;PID_1E21&amp;MI_01</ScannerInfo>
      <ScannerInfo ID="SHARP AR-B2202X Series">USB\VID_232B&amp;PID_2E21&amp;MI_01</ScannerInfo>
      <ScannerInfo ID="SHARP AR-B2201W Series">USB\VID_232B&amp;PID_3E21&amp;MI_01</ScannerInfo>
    </ScannerHID>
    

    <ScannerOem>
      <oem_data ID="%SCANNER.WIA1.0.DeviceDesc%">SCANNER.WIA1.0DRIVER.ntx86,%ARB22_VIDPID%</oem_data>
    </ScannerOem>

    <SCANNERMENT>
      <Element ID="SHARP AR-B2201X Series">SHARP AR-B2201X Series Scanner</Element>
      <Element ID="SHARP AR-B2202X Series">SHARP AR-B2202X Series Scanner</Element>
      <Element ID="SHARP AR-B2201W Series">SHARP AR-B2201W Series Scanner</Element>
    </SCANNERMENT>

    <!--update fax-->

    <FaxHID>
    </FaxHID>


    <FaxName>
    </FaxName>


    <FaxInfData>
    </FaxInfData>

    
    <CALLWIFI>
      <CallInfo>SHARP AR-B2201X-B2202X-B2201W Series</CallInfo>
    </CALLWIFI>

    
    <DEVICEFLAG>
      <Flag ID="SHARP AR-B2201X Series">USBPRINT\SharpAR-B2201X_series</Flag>
      <Flag ID="SHARP AR-B2202X Series">USBPRINT\SharpAR-B2202X_series</Flag>
      <Flag ID="SHARP AR-B2201W Series">USBPRINT\SharpAR-B2201W_series</Flag>
    </DEVICEFLAG>
    

    <STOREXP>
      <Store_Info ID="SHARP AR-B2201X Series">\SharpAR-B2201X_serieEA1B</Store_Info>
      <Store_Info ID="SHARP AR-B2202X Series">\SharpAR-B2202X_serie1A0F</Store_Info>
      <Store_Info ID="SHARP AR-B2201W Series">\SharpAR-B2201W_serieAA5B</Store_Info>
    </STOREXP>


    <PRTCHMFILE>
      <!--源打印chm-->
      <source_chm ID="Simplified_Chinese">\PRINTER\ARB22zhcn.chm</source_chm>
      <source_chm ID="English">\PRINTER\ARB22enus.chm</source_chm>
    </PRTCHMFILE>


    <DLL_SETUP>
      <!--安装dll-->
      <source_dll ID="Simplified_Chinese">\SETUP\Simplified_Chinese\SetupData\%Systembit%\ARB22setupzhcn.dll</source_dll>
      <source_dll ID="English"           >\SETUP\English\SetupData\%Systembit%\ARB22setupenus.dll</source_dll>
    </DLL_SETUP>


    <DLL_UNSETUP>
      <!--卸载dll-->
      <source_dll ID="Simplified_Chinese">\SETUP\Simplified_Chinese\UnSetupData\%Systembit%\ARB22uiszhcn.dll</source_dll>
      <source_dll ID="English"           >\SETUP\English\UnSetupData\%Systembit%\ARB22uisenus.dll</source_dll>
  </DLL_UNSETUP>


    <LICENCE>
      <!--协议源路径-->
      <source_txt ID="Simplified_Chinese">\SETUP\Simplified_Chinese\SetupData\licence.txt</source_txt>
      <source_txt ID="English"           >\SETUP\English\SetupData\licence.txt</source_txt>
  </LICENCE>


    <MANUAL>
      <!--用户手册源路径-->
      <source_doc ID="Simplified_Chinese">\MANUAL\Simplified_Chinese\SHARP AR-B2201X-B2202X-B2201W Series User Guide zh_CN V1.2.pdf</source_doc>
      <source_doc ID="English"           >\MANUAL\English\SHARP AR-B2201X-B2202X-B2201W Series User Guide en V1.3.pdf</source_doc>
      

  </MANUAL>
    <SUFFIX>
      <suffixName ID="Simplified_Chinese">zhcn</suffixName>
      <suffixName ID="English"           >enus</suffixName>
    </SUFFIX>


    <ICON>
      <iconfile >\uninstall.ico</iconfile>
    </ICON>


    <DLL_NORMAL>
      <!--安装文件-->
      <source_dll ID="DIFX">\SETUP\%Systembit%\DIFxAPI.dll</source_dll>
      <source_dll ID="Flash">\SETUP\%Systembit%\Flash.ocx</source_dll>
      <source_dll ID="UI">ARB22ui.dll</source_dll>
      <source_dll ID="DRV">ARB22dr.dll</source_dll>
    </DLL_NORMAL>

    <PONEMENT>
      <processor>WinPrint</processor>
      <depfiles>ARB22dr.dll#ARB22ui.dll##</depfiles>
    </PONEMENT>

    <COPYFILES>
      <XPSTYLE>
        <Common ID="1">\Windows\System32\SHARP\ARB22\UnSetupData\</Common>
        <Common ID="4">\Windows\</Common>
        <x32 ID="2">\Windows\System32\spool\drivers\w32x86\</x32>
        <x32 ID="3">\Windows\System32\spool\drivers\w32x86\3\</x32>
        <x64 ID="2">\Windows\System32\spool\drivers\x64\</x64>
        <x64 ID="3">\Windows\System32\spool\drivers\x64\3\</x64>
      </XPSTYLE>

      <W7STYLE>
        <Common ID="1">\Windows\System32\SHARP\ARB22\UnSetupData\</Common>
        <Common ID="4">\Windows\</Common>
        <x32 ID="2">\Windows\System32\spool\drivers\w32x86\</x32>
        <x32 ID="3">\Windows\System32\spool\drivers\w32x86\3\</x32>
        <x64 ID="2">\Windows\System32\spool\drivers\x64\</x64>
        <x64 ID="3">\Windows\System32\spool\drivers\x64\3\</x64>
      </W7STYLE>
      <sourcefile ID="1">\Bmprcx64.dll</sourcefile>
      <sourcefile ID="1">\Bmprcx32.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22ui.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22dr.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22lm.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22enus.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22zhcn.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22\ARB22ResBmp.dll</sourcefile>
      <sourcefile ID="2">\PRINTER\%Systembit%\ARB22DuplexDlg.exe</sourcefile>
      <sourcefile ID="2">\PRINTER\ARB22zhcn.chm</sourcefile>
      <sourcefile ID="2">\PRINTER\ARB22enus.chm</sourcefile>
      <sourcefile ID="2">\PRINTER\ARB22x32.cat</sourcefile>
      <sourcefile ID="2">\PRINTER\ARB22x64.cat</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22lm.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22ui.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22dr.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22enus.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22zhcn.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22\ARB22ResBmp.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\%Systembit%\ARB22DuplexDlg.exe</sourcefile>
      <sourcefile ID="4">\SCANNER\ARB22.ini</sourcefile>
      <sourcefile ID="4">\SCANNER\%Systembit%\ARB22\twain.dll</sourcefile>
      <sourcefile ID="4">\SCANNER\%Systembit%\ARB22\twain_32.dll</sourcefile>
      <sourcefile ID="4">\SCANNER\%Systembit%\ARB22\twain.dll</sourcefile>
      <sourcefile ID="4">\SCANNER\%Systembit%\ARB22\twunk_16.exe</sourcefile>
      <sourcefile ID="4">\SCANNER\%Systembit%\ARB22\twunk_32.exe</sourcefile>
    </COPYFILES>

    <TwainFile>
      <DstName ID="SHARP AR-B2201X Series">\Windows\twain_32\SHARP\ARB2201X\</DstName>
      <DstName ID="SHARP AR-B2202X Series">\Windows\twain_32\SHARP\ARB2202X\</DstName>
      <DstName ID="SHARP AR-B2201W Series">\Windows\twain_32\SHARP\ARB2201W\</DstName>
      <sourcefile>\SCANNER\x32\ARB22\ARB22ds.ds</sourcefile>
      <sourcefile>\SCANNER\x32\ARB22\ARB22lld.dll</sourcefile>
      <sourcefile>\SCANNER\x32\ARB22\ARB22imgEffect.dll</sourcefile>
      <sourcefile>\SCANNER\x32\ARB22\ARB22twrczhcn.dll</sourcefile>
      <sourcefile>\SCANNER\x32\ARB22\ARB22twrcenus.dll</sourcefile>
      <sourcefile>\SCANNER\ARB22twenus.chm</sourcefile>
      <sourcefile>\SCANNER\ARB22twzhcn.chm</sourcefile>
    </TwainFile>


    <Program>
      <!--\program files\-->
      <Dst>
        <x32 ID="1">\SHARP\ARB22\PushScan\</x32>
        <x32 ID="2">\SHARP\ARB22\SETUP\x32\</x32>
        <x32 ID="3">\SHARP\ARB22\</x32>
        <x64 ID="1">\SHARP\ARB22\PushScan\</x64>
        <x64 ID="2">\SHARP\ARB22\SETUP\x64\</x64>
        <x64 ID="3">\SHARP\ARB22\</x64>
      </Dst>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22imgEffect.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22ImgEncode.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22APP.exe</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22ApReg.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22lld.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22mail.exe</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22psrcenus.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22psrczhcn.dll</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22PushMonitor.exe</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\ARB22PushScan.exe</sourcefile>
      <sourcefile ID="1">\PushScan\%Systembit%\TWAINDSM.dll</sourcefile>
      <sourcefile ID="2">\SETUP\%Systembit%\DIFxAPI.dll</sourcefile>
      <sourcefile ID="3">\PRINTER\ARB22EWS.inf</sourcefile>
    </Program>

    <FOLDER>
      <!--拷贝至临时目录的源，填根文件夹即可-->
      <sourcefolder2temp >\WifiTools\</sourcefolder2temp>
      <sourcefolder2temp >\PushScan\</sourcefolder2temp>
      <sourcefolder2temp >\PRINTER\</sourcefolder2temp>
      <sourcefolder2temp >\SCANNER\</sourcefolder2temp>
    </FOLDER>

    <STOPPROCESS>
      <files>WifiConfig.exe</files>
      <files>ARB22pushscan.exe</files>
      <files>ARB22pushmonitor.exe</files>
    </STOPPROCESS>

    <KEYTYPE>
      <Typename ID="SHARP AR-B2201X Series">AR-B2201X Series</Typename>
      <Typename ID="SHARP AR-B2202X Series">AR-B2202X Series</Typename>
      <Typename ID="SHARP AR-B2201W Series">AR-B2201W Series</Typename>
    </KEYTYPE>

    <CreateFolder>
      <!--创建的文件-->
      <Folder>
        <Dir>\SHARP</Dir>
        <Dir>\ARB22\</Dir>
      </Folder>
      <uisname>\UnSetupData\</uisname>
      <iconname>\SHARP\ARB22\UnSetupData\uninstall.ico</iconname>
      <uidat>\SHARP\ARB22\ARB22settings.dat</uidat>
      <uisexe>\PRINTER\%Systembit%\ARB22\ARB22uis.exe</uisexe>
      <wifiexe>\WifiTools\WifiConfig.exe</wifiexe>
      <!--以下3个为临时目录多功能机-->
      <appexe>\PushScan\ARB22app.exe</appexe>
      <pushexe>\PushScan\ARB22pushscan.exe</pushexe>
      <pushmonitor>\SHARP\ARB22\PushScan\ARB22PushMonitor.exe</pushmonitor>
      <monitorkey>ARB22Monitor</monitorkey>
      <apregdll>ARB22ApReg.dll</apregdll>
      <TwainMutex>Global\ARB22_sign</TwainMutex>
  </CreateFolder>
    
    <INF>
      <Infinpackage ID="EWS">\PRINTER\ARB22EWS.inf</Infinpackage>
      <Infinpackage ID="PRINTER">\PRINTER\ARB22.inf</Infinpackage>
    </INF>

    <SCINF>
     <InfPath ID="SHARP AR-B2201X Series">\SCANNER\ARB2201XSC.inf</InfPath>
     <InfPath ID="SHARP AR-B2202X Series">\SCANNER\ARB2202XSC.inf</InfPath>
     <InfPath ID="SHARP AR-B2201W Series">\SCANNER\ARB2201WSC.inf</InfPath>
    </SCINF>

    <CAT>
      <catfile >\PRINTER\ARB22X32.cat</catfile>
      <catfile >\PRINTER\ARB22X64.cat</catfile>
    </CAT>
    
  </SERTUP_INFO>

